-- Sqlite does't support ALTER TABLE table DROM column. However, there is workaround:
-- drop credit_name, credit_ammoun, price_currency, price_ammount
CREATE TABLE messages_new (
	id INTEGER NOT NULL PRIMARY KEY ASC AUTOINCREMENT,
	service_id VARCHAR(32) NOT NULL,
	app_id VARCHAR(32) NOT NULL,
	user_id VARCHAR(256) NOT NULL,
	shortcode VARCHAR(64) NOT NULL,
	keyword VARCHAR(64) NOT NULL,
	pricecode VARCHAR(64),
	product VARCHAR(64),
	service_name VARCHAR(64),
	billing_status INTEGER NOT NULL,
	optin_status INTEGER NOT NULL,
	optin_keyword VARCHAR(256),
	optin_shortcode VARCHAR(64),
	created_at INTEGER NOT NULL,
	updated_at INTEGER NOT NULL,
	product_type INTEGER NOT NULL DEFAULT 0
);
INSERT INTO messages_new 
	SELECT 
		id, service_id, app_id, user_id, shortcode, keyword, pricecode, product, service_name,
		billing_status, optin_status, optin_keyword, optin_shortcode, created_at, updated_at, product_type
	FROM messages;
DROP TABLE messages;
ALTER TABLE messages_new RENAME TO messages;
